OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
SubdivideMesh.cpp File Reference
`#include "SubdivideMesh.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OpenMesh\Tools\Subdivider\Uniform\Sqrt3T.hh>`
`#include <OpenMesh\Tools\Subdivider\Uniform\LoopT.hh>`
`#include <OpenMesh\Tools\Subdivider\Uniform\CompositeLoopT.hh>`
`#include <OpenMesh\Tools\Subdivider\Uniform\CompositeSqrt3T.hh>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that uniformly subdivides mesh data"
const std::string | MODULE_ARGUMENTS = "method:iterations"
const std::string | MODULE_ARG_METHOD = "method"
const std::string | MODULE_ARG_ITERATIONS = "iterations"
const std::string | METHOD_LOOP = "loop"
const std::string | METHOD_SQRT3 = "sqrt3"
const std::string | METHOD_DEFAULT = METHOD_SQRT3
const int | DEFAULT_ITERATIONS = 1

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/10/27

Module description:

- Module loads a file from input channel
- Then, subdivides a mesh in specified number of iterations
- Result is written into output channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const int DEFAULT_ITERATIONS = 1

const std::string METHOD_DEFAULT = METHOD_SQRT3

const std::string METHOD_LOOP = "loop"

const std::string METHOD_SQRT3 = "sqrt3"

const std::string MODULE_ARG_ITERATIONS = "iterations"

const std::string MODULE_ARG_METHOD = "method"

const std::string MODULE_ARGUMENTS = "method:iterations"

const std::string MODULE_DESCRIPTION = "Module that uniformly subdivides mesh data"